#include <sstream>
#include <deque>
#include <iostream>
#include "GResource.h"

using namespace std;

#ifndef STRINGLIB_H_INCLUDED
#define STRINGLIB_H_INCLUDED

template< class Type >
string ToString( Type value ) {
   stringstream s;
   s << value;
   return s.str();
}


int ToInteger(std::string n);
float ToFloat(std::string n);

int CharToInt(char c);
char IntToChar(int c);

std::deque<std::string> TurnToParagraph(GFont *f, std::string msg, int w);
int StringIncludes(char *str, char *obj);

std::vector<std::string> GetParameters(std::string line);

#endif
